@echo off
REM Fichier INSTALL.BAT pour copier quelques fichiers indispensable pour Gestion-Frigo



echo GESTION-Frigo installation
echo .
echo .

if not exist C:\Gestion-Frigo GOTO echec
if not exist C:\Gestion-Frigo\Backup GOTO echec
if not exist C:\Gestion-Frigo\Gestion-Frigozip.dll GOTO echec
if not exist C:\Gestion-Frigo\dynaPDF.dll GOTO echec
if not exist C:\Gestion-Frigo\StrStorage.dll GOTO echec
if not exist C:\Gestion-Frigo\MouseHook.dll GOTO echec
if not exist C:\Gestion-Frigo\Gestion-Frigo-tables.mdb GOTO echec
if not exist C:\Gestion-Frigo\Gestion-Frigo*.accde GOTO echec
IF not exist %WinDir%\system32\Gestion-Frigozip.dll copy /Y C:\Gestion-Frigo\Gestion-Frigozip.dll %WinDir%\system32\Gestion-Frigozip.dll
IF not exist %WinDir%\system32\dynaPDF.dll copy /Y C:\Gestion-Frigo\dynaPDF.dll %WinDir%\system32\dynaPDF.dll
IF not exist %WinDir%\system32\StrStorage.dll copy /Y C:\Gestion-Frigo\StrStorage.dll %WinDir%\system32\StrStorage.dll
IF not exist %WinDir%\system32\MouseHook.dll copy /Y C:\Gestion-Frigo\MouseHook.dll %WinDir%\system32\MouseHook.dll

if exist  "%USERPROFILE%\Bureau" cd "%USERPROFILE%\Bureau"
if exist  "%USERPROFILE%\Desktop" cd "%USERPROFILE%\Desktop"

if not exist "Gestion-Frigo 3.00 Access2007.lnk" Copy /y C:\Gestion-Frigo\"Gestion-Frigo 3.00 Access2007.lnk" .
IF not exist %WinDir%\system32\Gestion-Frigozip.dll GOTO echec2
IF not exist %WinDir%\system32\dynaPDF.dll GOTO echec2
IF not exist %WinDir%\system32\StrStorage.dll GOTO echec2
IF not exist %WinDir%\system32\MouseHook.dll GOTO echec2
echo .
echo .
echo SUCCES .....SUCCES.....SUCCES....
echo .
echo .
echo Si vous installez Gestion-Frigo pour la premiere fois:
echo .	AVEC ACCESS 2003 
echo 	Demarrez Microsoft Access 2003 sans base de donnees
echo 	Modifiez la securite des macros dans le menu deroulant:
echo		Outils
echo		Macros
echo		Securite........ et mettez le niveau sur FAIBLE
echo	Confirmez et fermez Microsoft Access
echo .
echo .
echo Sous Vista le fichier Install(.bat) doit etre execute en tant qu administrateur pour chaque utilisateur et 
echo sur chaque ordinateur susceptible d'utiliser Gestion-Frigo

echo .	AVEC ACCESS 2007
echo .	Il faut ajouter le chemin du répertoire Gestion-SCI aux 'Emplacements approuvés:

echo .	Bouton Office > Options Access > Paramètres du Centre de Gestion de la confidentialité > Emplacements approuvés echo .	(et ajoutez C:\Gestion-SCI et cochez les sous-dossiers)

echo .	Puis il faut (peut-être) aussi cocher 'Activer toutes les macros....' dans 'Paramètres des macros'.


:fini
echo .
Pause
exit
:echec
echo ECHEC de l'installation de Gestion-Frigo
echo CAUSE PROBABLE:
echo .
echo Gestion-Frigo.zip n'est pas correctement dezippe.
echo Veuillez extraire Gestion-Frigo AVEC les repertoires (use folder names)
echo et dans C:\
echo .
echo Apres extraction de Gestion-Frigo.zip le repertoire principal C:\Gestion-Frigo
echo Le Sous-répertoire C:\Gestion-Frigo\Backup
echo ainsi que les fichiers
echo 	Gestion-Frigo-tables.mdb
echo 	Gestion-Frigo x.yy.mde (pour Access2003)
echo	Gestion-Frigo x.yy.accde (pour Access2007)
echo 	Gestion-Frigozip.dll
echo 	dynaPDF.dll
echo 	StrStorage.dll
echo 	MouseHook.dll
echo et le sous repertoire BackUp doit exister.
echo .
pause
exit
:echec2
echo ECHEC de l'installation de Gestion-Frigo
echo .
echo CAUSE :
echo .
echo Sous VISTA Gestion-Frigo n'a pas pu copier des fichiers vers Windows\System32.
echo Il faut executer install.bat avec clique croit en tant qu administrateur
echo .
echo Sinon, Veuillez copier manuellement les fichiers:
echo .
echo	Gestion-Frigozip.dll
echo 	dynaPDF.dll
echo 	StrStorage.dll
echo 	MouseHook.dll
echo .
echo vers votre repertoire C:\windows\System32
echo .
pause

